import { BuildState } from './state';
import { FrontMatter, Context } from '../template';
import { FileMetadata } from '../metadata';
export interface OutFileURL {
    base_url: string;
    rel_path: string;
    dir_url: string;
    abs_url: string;
}
export declare function map_output_file_to_url(state: BuildState, out_file: string, index_file?: string): OutFileURL;
export declare function map_input_file_to_output_file(state: BuildState, in_file: string, remove_exts?: string[], add_ext?: string): Promise<string>;
export declare function build_partials(state: BuildState): Promise<void>;
export declare function mustache_context(state: BuildState, page_url: string, metadata: FileMetadata, frontmatter?: FrontMatter): Context;
export declare function render_page(state: BuildState, in_file: string, out_file: string, out_url: OutFileURL, text: string, render_as_markdown: boolean, hash: string, frontmatter?: any): Promise<void>;
export declare function config_hash_matches(state: BuildState): boolean;
export declare function file_hash_matches(state: BuildState, in_file: string, new_hash: string): boolean;
export declare function skip_file(state: BuildState, in_file: string, out_file: string, out_url: OutFileURL, frontmatter?: any): void;
export declare function get_author(state: BuildState, frontmatter?: FrontMatter): import("../conf").AuthorConfig | import("../conf").AuthorConfig[];
