import { BuildState } from './state';
import { ICalEventData, ICalCalendarData } from 'ical-generator';
import { FrontMatterLocation } from '../template';
export type { ICalEventData, ICalCalendarData, ICalAttendeeData, ICalAttendeeStatus } from 'ical-generator';
export interface EventSeries {
    url: string;
    in_file: string;
    title?: string;
    description?: string;
    author_name?: string;
    author_email?: string;
    entries: {
        title?: string;
        start?: string;
        end?: string;
        time_zone?: `${string}/${string}`;
        location?: FrontMatterLocation;
    }[];
}
export interface EventEntry {
    url: string;
    in_file: string;
    title?: string;
    description?: string;
    author_name?: string;
    author_email?: string;
    start?: string;
    end?: string;
    time_zone?: `${string}/${string}`;
    location?: FrontMatterLocation;
}
export declare function write_events_and_calendars_if_needed(state: BuildState): Promise<void>;
export declare function create_icalendar(cal: ICalCalendarData, events: ICalEventData | ICalEventData[]): string;
export declare function icalendar_event(state: BuildState, entry: EventEntry): ICalEventData;
