"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copy_raw_files = void 0;
const glob_1 = require("glob");
const fs_1 = require("fs");
const helpers_1 = require("./helpers");
async function copy_raw_files(state) {
    const promises = [];
    const files = await (0, glob_1.glob)(state.conf.input.raw, {
        absolute: true,
        cwd: state.conf.input.root,
    });
    for (const in_file of files) {
        if (state.seen_files.has(in_file)) {
            continue;
        }
        state.seen_files.add(in_file);
        const out_file = (0, helpers_1.map_input_file_to_output_file)(state, in_file);
        // todo: check hashes to see if we can skip
        promises.push(fs_1.promises.copyFile(in_file, await out_file));
    }
    await Promise.all(promises);
    // todo: update metadata
}
exports.copy_raw_files = copy_raw_files;
//# sourceMappingURL=raw.js.map