export declare function load_from_dir(dir: string, file: string): Promise<string>;
export declare function mkdirp(dir: string, mode?: number): Promise<string>;
export declare function with_default_if_missing<T>(read_promise: Promise<T>, default_value: T): Promise<T>;
export declare function read_text(file: string, check_for_frontmatter?: boolean, compute_hash?: boolean): Promise<{
    frontmatter: any;
    text: string;
    hash: string;
}>;
export declare function read_json(file: string, check_for_frontmatter?: boolean, compute_hash?: boolean): Promise<{
    frontmatter: any;
    json: string;
    parsed: any;
    hash: string;
}>;
export declare function read_yaml(file: string, check_for_frontmatter?: boolean, compute_hash?: boolean): Promise<{
    frontmatter: any;
    yaml: string;
    parsed: any;
    hash: string;
}>;
export declare function write_text(file: string, text: string): Promise<void>;
export declare function write_json(file: string, obj: any, pretty?: boolean): Promise<void>;
export declare function write_yaml(file: string, obj: any): Promise<void>;
