"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.as_context_time = exports.as_html_time = exports.from_iso = exports.now = void 0;
const luxon_1 = require("luxon");
function now(zone) {
    return zone
        ? luxon_1.DateTime.now().setZone(zone)
        : luxon_1.DateTime.now();
}
exports.now = now;
function from_iso(time, zone) {
    return zone
        ? luxon_1.DateTime.fromISO(time, { zone })
        : luxon_1.DateTime.fromISO(time);
}
exports.from_iso = from_iso;
function as_html_time(time, classname = '', lang, config) {
    if (lang && config) {
        const formatter = new Intl.DateTimeFormat(lang, config);
        const formatted = formatter.format(new Date(time.toISO()));
        return `<time datetime="${time.toISO()}">${formatted}</time>`;
    }
    return `<time class="${classname}" datetime="${time.toISO()}">${time.toRFC2822()}</time>`;
}
exports.as_html_time = as_html_time;
function as_context_time(time, classname = '', lang, config) {
    return {
        iso: time.toISO(),
        rfc2822: time.toRFC2822(),
        html: as_html_time(time, classname, lang, config),
    };
}
exports.as_context_time = as_context_time;
//# sourceMappingURL=time.js.map